<div class="page">
<div class="page__header">
<div class="page__header-thumbnail">
<h2>
<i class="fa fa-tag fa-2x">
</i>
</h2>
</div>
<div class="page__header-body">
<h2>
    [[i18n "field_categories" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
   </h2>
</div>
</div>
<div class="page__body">
<bs-tabs class="page__body-navtabs-" unmount-on-exit="true">
<bs-tab event-key="1" title="[[i18n 'tree_view' bundle='languages/resource_forms_admin_fieldcategories' locale=this.lang]]">
<semantic-tree no-result-template="{{>  empty-tree}}" query="
        SELECT ?node ?parent ?label WHERE {
          GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  {
            ?node <http://www.w3.org/2004/02/skos/core#inScheme>  <http://www.researchspace.org/resource/system/FieldCategories>  .
            ?node rdfs:label ?label .
          optional { ?node <http://www.w3.org/2004/02/skos/core#broader>  ?parent }
          }
        }" tuple-template="{{>  node}}">
<template id="node">
<div>
       {{>  edit}}
      </div>
</template>
<template id="empty-tree">
<div>
<strong>
        [[i18n "no_categories" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
       </strong>
</div>
</template>
<template id="edit">
<span>
<!-- Modal dialog -->
<mp-overlay-dialog bs-size="large" title="Edit Category '{{label.value}}'" type="modal">
<mp-overlay-dialog-trigger>
<a>
          {{label.value}}
         </a>
</mp-overlay-dialog-trigger>
<mp-overlay-dialog-content>
<semantic-form browser-persistence="false" fields='[
                        {
                          "id": "label",
                          "label": "Label",
                          "description": "The name of the category",
                          "xsdDatatype": "xsd:string",
                          "minOccurs": "0",
                          "maxOccurs": "1",
                          "selectPattern": "SELECT $value WHERE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject rdfs:label $value }}",
                          "insertPattern": "INSERT { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject rdfs:label $value }} WHERE {}",
                          "deletePattern": "DELETE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject rdfs:label $value. $subject <http://www.w3.org/2004/02/skos/core#inScheme>  <http://www.researchspace.org/resource/system/FieldCategories> }} WHERE {}"
                        },
                                                                                            {
              "id": "parent",
              "label": "Parent Category",
              "description": "This will become the parent category",
              "xsdDatatype": "xsd:anyURI",
              "minOccurs": "0",
              "maxOccurs": "1",
              "selectPattern": "SELECT $value WHERE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject <http://www.w3.org/2004/02/skos/core#broader>  $value }}",
              "insertPattern": "INSERT { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject <http://www.w3.org/2004/02/skos/core#broader>  $value }} WHERE {}",
              "deletePattern": "DELETE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject <http://www.w3.org/2004/02/skos/core#broader>  $value }} WHERE {}",
              "treePatterns": {
                "type": "simple",
                "schemePattern": " GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  {?item <http://www.w3.org/2004/02/skos/core#inScheme>  <http://www.researchspace.org/resource/system/FieldCategories> }"
              }
            }
                      ]' form-id="edit category" persistence="sparql" post-action="reload" subject="{{node.value}}">
<bs-panel>
<semantic-form-recover-notification>
</semantic-form-recover-notification>
<semantic-form-text-input for="label">
</semantic-form-text-input>
<semantic-form-tree-picker-input for="parent">
</semantic-form-tree-picker-input>
<semantic-form-errors>
</semantic-form-errors>
<button class="btn btn-default" name="submit">
            [[i18n "save" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
           </button>
<button class="btn btn-default" name="reset">
            [[i18n "reset" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
           </button>
</bs-panel>
</semantic-form>
</mp-overlay-dialog-content>
</mp-overlay-dialog>
</span>
</template>
</semantic-tree>
</bs-tab>
<bs-tab event-key="2" title="[[i18n 'table_view' bundle='languages/resource_forms_admin_fieldcategories' locale=this.lang]]">
<semantic-table number-of-displayed-rows="2" options='{"showFilter": true}' query="
            SELECT ?Category ?Parent WHERE {    
              GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { 
                ?Category <http://www.w3.org/2004/02/skos/core#inScheme>  <http://www.researchspace.org/resource/system/FieldCategories>  .
                OPTIONAL {$Category <http://www.w3.org/2004/02/skos/core#broader>  $Parent}              } 
            }">
</semantic-table>
</bs-tab>
</bs-tabs>
<semantic-form browser-persistence="false" fields='[
            {
              "id": "label",
              "label": "Label",
              "description": "The name of the category",
              "xsdDatatype": "xsd:string",
              "minOccurs": "1",
              "maxOccurs": "unbound",
              "selectPattern": "SELECT $value WHERE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject rdfs:label $value } }",
              "insertPattern": "INSERT { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject rdfs:label $value }} WHERE {}",
              "deletePattern": "DELETE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject rdfs:label $value }} WHERE {}"
            },
            {
              "id": "parent",
              "label": "Parent Category",
              "description": "This will become the parent category",
              "xsdDatatype": "xsd:anyURI",
              "minOccurs": "0",
              "maxOccurs": "1",
              "selectPattern": "SELECT $subject WHERE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  {$subject <http://www.w3.org/2004/02/skos/core#inScheme>  <http://www.researchspace.org/resource/system/FieldCategories>  }}",
              "insertPattern": "INSERT { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject <http://www.w3.org/2004/02/skos/core#broader>  $value }} WHERE {}",
              "deletePattern": "DELETE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $category <http://www.w3.org/2004/02/skos/core#broader>  $subject }} WHERE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { ?category <http://www.w3.org/2004/02/skos/core#broader>  ?subject}}",
              "treePatterns": {
                "type": "simple",
                "schemePattern": "GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { ?item <http://www.w3.org/2004/02/skos/core#inScheme>  <http://www.researchspace.org/resource/system/FieldCategories>  }"
              }
            },                
            {
              "id": "type",
              "label": "Type",
              "description": "The type of the created instance",
              "xsdDatatype": "xsd:anyURI",
              "selectPattern": "SELECT $value WHERE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  {$subject a $value }}",
              "insertPattern": "INSERT { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject <http://www.w3.org/2004/02/skos/core#inScheme>  $value }} WHERE {}",
              "deletePattern": "DELETE { GRAPH <http://www.researchspace.org/resource/system/FieldCategories>  { $subject <http://www.w3.org/2004/02/skos/core#inScheme>  $value }} WHERE {}"
            }
          ]' form-id="category" new-subject-template="http://www.researchspace.org/resource/system/formContainer/category/{{label}}" persistence="sparql" post-action="reload">
<h3>
    [[i18n "create_a" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
   </h3>
<bs-panel>
<semantic-form-recover-notification>
</semantic-form-recover-notification>
<semantic-form-text-input for="label">
</semantic-form-text-input>
<semantic-form-tree-picker-input for="parent">
</semantic-form-tree-picker-input>
<semantic-form-hidden-input default-value="http://www.researchspace.org/resource/system/FieldCategories" for="type">
</semantic-form-hidden-input>
<semantic-form-errors>
</semantic-form-errors>
<button class="btn btn-default" name="submit">
     [[i18n "save" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
    </button>
<button class="btn btn-default" name="delete">
     [[i18n "delete" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
    </button>
<button class="btn btn-default" name="reset">
     [[i18n "reset" bundle="languages/resource_forms_admin_fieldcategories" locale=this.lang]]
    </button>
</bs-panel>
</semantic-form>
</div>
<div class="clearfix">
</div>
</div>
